#/bin/bash
#
# Patch generator from Roundcube Automatic Address Book X.Y.Z -> Roundcube Automatic Address Book + roundcube-addons
# Developer tool, not for end users. Part of roundcube-addons package.
# Use folder structure below:
# /[...]/automatic_addressbook-X.Y.Z-original
#       /automatic_addressbook-X.Y.Z-patched  (maybe symlinked from /usr/local/share/roundcube-addons/plugins)
#       /automatic_addressbook-createpatch.sh (maybe symlinked from /usr/local/share/roundcube-addons/patch)
# Call: export PLUGIN_VERSION="X.Y.Z"; ./automatic_addressbook-createpatch.sh

if [ -z "$PLUGIN_VERSION" ]; then echo "Set PLUGIN_VERSION variable, please!"; exit 1; fi
if [ ! -d "automatic_addressbook-$PLUGIN_VERSION-original" ]; then echo "Missing folder: automatic_addressbook-$PLUGIN_VERSION-original"; exit 1; fi
if [ ! -d "automatic_addressbook-$PLUGIN_VERSION-patched"  ]; then echo "Missing folder: automatic_addressbook-$PLUGIN_VERSION-patched";  exit 1; fi

cd automatic_addressbook-$PLUGIN_VERSION-original
diff -Naur -x *.gif -x *.jpg -x *.png . ../automatic_addressbook-$PLUGIN_VERSION-patched \
     | grep -iv ^diff >../automatic_addressbook_$PLUGIN_VERSION-roundcube-addons_$(date +%Y%m%d).patch
cd ..
