#/bin/bash
#
# Patch generator from Roundcube CardDAV X.Y.Z -> Roundcube CardDAV X.Y.Z + roundcube-addons
# Developer tool, not for end users. Part of roundcube-addons package.
# Use folder structure below:
# /[...]/carddav-X.Y.Z-original
#       /carddav-X.Y.Z-patched  (maybe symlinked from /usr/local/share/roundcube-addons/plugins)
#       /carddav-createpatch.sh (maybe symlinked from /usr/local/share/roundcube-addons/patch)
# Call: export PLUGIN_VERSION="X.Y.Z"; ./carddav-createpatch.sh

if [ -z "$PLUGIN_VERSION" ]; then echo "Set PLUGIN_VERSION variable, please!"; exit 1; fi
if [ ! -d "carddav-$PLUGIN_VERSION-original" ]; then echo "Missing folder: carddav-$PLUGIN_VERSION-original"; exit 1; fi
if [ ! -d "carddav-$PLUGIN_VERSION-patched"  ]; then echo "Missing folder: carddav-$PLUGIN_VERSION-patched";  exit 1; fi

cd carddav-$PLUGIN_VERSION-original
diff -Naur -x *.gif -x *.jpg -x *.png . ../carddav-$PLUGIN_VERSION-patched \
     | grep -iv ^diff >../carddav_$PLUGIN_VERSION-roundcube-addons_$(date +%Y%m%d).patch
cd ..
