#/bin/bash
#
# Patch generator from Roundcube X.Y.Z -> Roundcube X.Y.Z + roundcube-addons
# Developer tool, not for end users. Part of roundcube-addons package.
# Use folder structure below:
# /root/tmp/roundcube-X.Y.Z-original
#          /roundcube-X.Y.Z-patched
#          /roundcube-createpatch.sh (maybe symlinked)
# Call: export RC_VERSION="X.Y.Z"; ./roundcube-createpatch.sh as root.

if [ -z "$RC_VERSION" ]; then echo "Set RC_VERSION variable, please!"; exit 1; fi
if [ ! -d "roundcube-$RC_VERSION-original" ]; then echo "Missing folder: roundcube-$RC_VERSION-original"; exit 1; fi
if [ ! -d "roundcube-$RC_VERSION-patched"  ]; then echo "Missing folder: roundcube-$RC_VERSION-patched";  exit 1; fi

cd roundcube-$RC_VERSION-original
diff -Naur -x *.gif -x *.jpg -x *.png . ../roundcube-$RC_VERSION-patched \
     | grep -iv ^diff >../roundcube_$RC_VERSION-roundcube-addons_$(date +%Y%m%d).patch
cd ..
