#/bin/bash
#
# Patch generator from Roundcube thunderbird_labels X.Y.Z -> Roundcube thunderbird_labels X.Y.Z + roundcube-addons
# Developer tool, not for end users. Part of roundcube-addons package.
# Use folder structure below:
# /[...]/thunderbird_labels-X.Y.Z-original
#       /thunderbird_labels-X.Y.Z-patched  (maybe symlinked from /usr/local/share/roundcube-addons/plugins)
#       /thunderbird_labels-createpatch.sh (maybe symlinked from /usr/local/share/roundcube-addons/patch)
# Call: export PLUGIN_VERSION="X.Y.Z"; ./thunderbird_labels-createpatch.sh

if [ -z "$PLUGIN_VERSION" ]; then echo "Set PLUGIN_VERSION variable, please!"; exit 1; fi
if [ ! -d "thunderbird_labels-$PLUGIN_VERSION-original" ]; then echo "Missing folder: thunderbird_labels-$PLUGIN_VERSION-original"; exit 1; fi
if [ ! -d "thunderbird_labels-$PLUGIN_VERSION-patched"  ]; then echo "Missing folder: thunderbird_labels-$PLUGIN_VERSION-patched";  exit 1; fi

cd thunderbird_labels-$PLUGIN_VERSION-original
diff -Naur -Bw -x *.gif -x *.jpg -x *.png . ../thunderbird_labels-$PLUGIN_VERSION-patched \
     | grep -iv ^diff >../thunderbird_labels_$PLUGIN_VERSION-roundcube-addons_$(date +%Y%m%d).patch
cd ..
