#/bin/bash
#
# Patch generator from Roundcube VEximAccountAdmin X.Y.Z -> Roundcube VEximAccountAdmin X.Y.Z + roundcube-addons
# Developer tool, not for end users. Part of roundcube-addons package.
# Use folder structure below:
# /root/tmp/roundcube-veximaccountadmin-X.Y.Z-original
#          /roundcube-veximaccountadmin-X.Y.Z-patched
#          /veximaccountadmin-createpatch.sh (maybe symlinked)
# Call: export PLUGIN_VERSION="X.Y.Z"; ./veximaccountadmin-createpatch.sh as root.

if [ -z "$PLUGIN_VERSION" ]; then echo "Set PLUGIN_VERSION variable, please!"; exit 1; fi
if [ ! -d "roundcube-veximaccountadmin-$PLUGIN_VERSION-original" ]; then echo "Missing folder: roundcube-veximaccountadmin-$PLUGIN_VERSION-original"; exit 1; fi
if [ ! -d "roundcube-veximaccountadmin-$PLUGIN_VERSION-patched"  ]; then echo "Missing folder: roundcube-veximaccountadmin-$PLUGIN_VERSION-patched";  exit 1; fi

cd roundcube-veximaccountadmin-$PLUGIN_VERSION-original
diff -Naur -Bw -x *.gif -x *.jpg -x *.png . ../roundcube-veximaccountadmin-$PLUGIN_VERSION-patched \
     | grep -iv ^diff >../veximaccountadmin_$PLUGIN_VERSION-roundcube-addons_$(date +%Y%m%d).patch
cd ..
