/**
 * iframe_external plugin script
 *
 * @project	Roundcube iFrame External plugin
 * @description	Allow using Roundcube within an external iframe.
 * @author	Gyula Annár <gyula@annar.hu>
 * @author	Zoltán Kovács <kzoli@kzoli.hu>
 * @license	GPL-3.0
 * @version	0.1
 *
 */

// Runs the pass_origin function on load, via rcmail's initialisation hook.
rcmail.addEventListener('init', pass_origin);

/**
 * Adds a new, hidden input element to the login form, containing the origin (if any).
 */
function pass_origin()
{
    if (rcmail.env.x_frame_options.substring(0,11) == 'allow-from ') {
	var formelement = document.getElementsByTagName("form")[0];
	var input = document.createElement("input");
    	    input.type = "hidden";
    	    input.name = "_origin";
	    input.value = encodeURIComponent(rcmail.env.x_frame_options.substring(11));
	formelement.appendChild(input);
    }
}
